<h1>This is Task 1</h1>

<h1>Problems</h1>

<div>
    <button routerLink="/Task-1" [queryParams]="{problem:1}" class="btn btn-primary" type="button">Problem 1</button>
    <button routerLink="/Task-1" [queryParams]="{problem:2}" class="btn btn-primary" type="button">Problem 2</button> 
</div>


<app-task1problem1 *ngIf=" click_problem==1"></app-task1problem1>
<app-task1problem2 *ngIf=" click_problem==2"></app-task1problem2>









